summaryrefslogtreecommitdiffstats
path: root/games/starfighter/starfighter.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/starfighter/starfighter.SlackBuild')
-rw-r--r--games/starfighter/starfighter.SlackBuild22
1 files changed, 11 insertions, 11 deletions
diff --git a/games/starfighter/starfighter.SlackBuild b/games/starfighter/starfighter.SlackBuild
index b297cb58c5..6a13e087f5 100644
--- a/games/starfighter/starfighter.SlackBuild
+++ b/games/starfighter/starfighter.SlackBuild
@@ -1,19 +1,17 @@
#!/bin/sh
# Slackware build script for starfighter
-# Written by Tim Dickson tim@tree-of-life.co.uk
+# Written by Tim Dickson tim at tree-of-life.co.uk
PRGNAM=starfighter
-VERSION=${VERSION:-1.1}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -37,13 +35,13 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION-1.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -53,14 +51,14 @@ find . \
-exec chmod 644 {} \;
# The makefile doesn't support DESTDIR, but that's okay :)
-mkdir -p $PKG/usr/bin $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/games $PKG/usr/doc/$PRGNAM-$VERSION
make \
CFLAGS="$SLKCFLAGS $(sdl-config --cflags) -Wall -DLINUX" \
- BINDIR=/usr/bin/ \
+ BINDIR=/usr/games/ \
DOCDIR=/usr/doc/$PRGNAM-$VERSION/ \
DATADIR=/usr/share/games/parallelrealities/
make install \
- BINDIR=$PKG/usr/bin/ \
+ BINDIR=$PKG/usr/games/ \
DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION/ \
DATADIR=$PKG/usr/share/games/parallelrealities/
@@ -70,11 +68,13 @@ chown -R root:root $PKG
mkdir -p $PKG/usr/share/applications
cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
-mkdir -p $PKG/usr/share/icons/hicolor/{16x16,32x32,64x64}/apps
+mkdir -p $PKG/usr/share/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
cat $CWD/icons/$PRGNAM-16px.png > \
$PKG/usr/share/icons/hicolor/16x16/apps/$PRGNAM.png
cat $CWD/icons/$PRGNAM-32px.png > \
$PKG/usr/share/icons/hicolor/32x32/apps/$PRGNAM.png
+cat $CWD/icons/$PRGNAM-48px.png > \
+ $PKG/usr/share/icons/hicolor/48x48/apps/$PRGNAM.png
cat $CWD/icons/$PRGNAM-64px.png > \
$PKG/usr/share/icons/hicolor/64x64/apps/$PRGNAM.png